YouSwore

YouSwore

What is YouSwore?

YouSwore is a light, super-simple anti-swearing plugin.

How the plugin works

Whenever you swear (censored words are configurable with commands), the server will cancel the message sending event and tell the player the message set in the config.yml file (default message is "Do not swear") (configurable with commands).

Permissions

  • YouSwore.exempt - Exempts you from being blocked
  • YouSwore.command - Allows access to all YouSwore commands

Version History

1.2.1

  • Updated to work with CraftBukkit #2602 (1.4.7-R0.1 Beta Build)

1.2

  • "/YouSwore add" looping bug fixed
  • "/YouSwore reload" added to reload the configurations if it was edited manually
  • "/YouSwore list" added to list all censored words
  • Minor console message fixes

1.1

Note: 1.1. included the predicted 1.0.1

  • Added "/YouSwore remove" to delete censors in-game!
  • Disallowed censoring double words
  • Bug fixes

1.0!

  • Added "/YouSwore add" to add censors in-game!

Beta 0.2

  • Successfully added configurable warning messages!

Beta 0.1

  • New Permissions! Use the permission node "YouSwore.exempt" to exempt yourself from being blocked
  • Finally Beta!

Build 13

  • New configuration, for listing censored words! And it works

Build 12

  • Configuration removed, replaced with a preset message
  • Works now

Build 11

  • Warning message configuration test (Didn't work)

Build 10

  • Added 2 words into the database

Build 9

  • Censored words configuration test (Didn't work)

Build 8

  • Added 2 words into the database

Build 7

  • Added 3 words into the database

Build 6

  • Successful test with the word "test" censored

Build 1-5

  • Failed tests

Comments

Posts Quoted:
Reply
Clear All Quotes

About This Project

  • Project ID
    48204
  • Created
    Dec 7, 2012
  • Last Released File
    Jan 17, 2013
  • Total Downloads
    3,257
  • License

Categories

Members

Recent Files

Bukkit